package nl.quintor.commons.util;

import junit.framework.TestCase;
import nl.achmea.avero.commons.helper.CalendarHelper;

public class ValidatorUtilsTest extends TestCase {
	/**
	 * Test method for {@link ValidatorUtils#validatePostcode(String)}.
	 */
	public void testValidatePostcode() {
		String result = ValidatorUtils.validatePostcode(null);
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("");
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("0000AB");
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("0234AB");
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("1234A&");
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("1234ABC");
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("123ABC");
		assertEquals(false, result == null);
		result = ValidatorUtils.validatePostcode("1234AB");
		assertEquals(true, result == null);
		result = ValidatorUtils.validatePostcode("9999BC");
		assertEquals(true, result == null);
	}

	/**
	 * Test method for
	 * {@link ValidatorUtils#validateAge(java.util.Calendar, Integer, Integer)}.
	 */
	public void testValidateGeboortedatum() {
		String result = ValidatorUtils.validateAge(null, new Integer(-1), new Integer(-1));
		assertEquals(ValidatorMessages.VALIDATIONERROR_BIRTHDATE_UNAVAILABLE, result);
		result = ValidatorUtils.validateAge(CalendarHelper.parseDate("01-01-3000"), new Integer(0), new Integer(120));
		assertEquals(ValidatorMessages.VALIDATIONERROR_BIRTHDATE_INFUTURE, result);
		result = ValidatorUtils.validateAge(CalendarHelper.parseDate("01-01-1700"), new Integer(0), new Integer(120));
		assertEquals(ValidatorMessages.VALIDATIONERROR_BIRTHDATE_TOOOLD, result);
		result = ValidatorUtils.validateAge(CalendarHelper.parseDate("01-01-2000"), new Integer(50), new Integer(120));
		assertEquals(ValidatorMessages.VALIDATIONERROR_BIRTHDATE_TOOYOUNG, result);
		result = ValidatorUtils.validateAge(CalendarHelper.parseDate("01-01-2000"), new Integer(0), new Integer(120));
		assertEquals(null, result);
	}
}